package com.steering.mes.mcp.entity;

/**
 * 数据库表PLN_ZY_JGX_M所对应的实体类（生成工具：代码生成器3.0）
 * @author DM22222   date 2018-04-02
 */
@SuppressWarnings("serial")
public class PlnZyJgxMEntity1 implements java.io.Serializable {
    /**
     * 炉计划ID
     */
    private String heatPlanNo = "";
    /**
     * 生产批号
     */
    private String zyBatchId = "";
    /**
     * 冶炼炉号(电炉炉号)
     */
    private String stoveNo = "";
    /**
     * 判定炉号
     */
    private String judgeStoveNo = "";
    /**
     * 批号
     */
    private String batchNo = "";
    /**
     * 上料炉号FEED_HEAT_NO
     */
    private String feedHeatNo = "";
    public String getFeedHeatNo() {
		return feedHeatNo;
	}

	public void setFeedHeatNo(String feedHeatNo) {
		this.feedHeatNo = feedHeatNo;
	}

	/**
     * 计划状态（00计划，10下发，20生产中，30生产完成，40关闭A）
     */
    private String planstatus = "";
    /**
     * 开始状态(00-上料开始,10-探伤开始，20-切管开始，30-车丝开始，40-螺纹检验开始，50拧接开始，60-通径开始,70-水压开始，80-倒凌开始，90-测量点开始，11-交库开始)
     */
    private String perStatus = "";
    /**
     * 结炉状态(00-上料结束,10-探伤结束，20-切管结束，30-车丝结束，40-螺纹检验结束，50拧接结束，60-通径结束,70-水压结束，80-倒凌结束，90-测量点结束，11-交库结束)
     */
    private String besideStatus = "";
    /**
     * 上工序炉计划ID
     */
    private String upperHeatplanId = "";
    /**
     * 加工线订单编号
     */
    private String proPlanId = "";
    /**
     * 加工线工序排产序号
     */
    private String gxPlanNo = "";
    /**
     * 产线代码
     */
    private String plineCode = "";
    /**
     * 判定字头
     */
    private String decision = "";
    /**
     * 原炉计划ID  HEAT_PLAN_NO_OLD
     */
    private String heatPlanNoOld = "";
    
    public String getHeatPlanNoOld() {
		return heatPlanNoOld;
	}

	public void setHeatPlanNoOld(String heatPlanNoOld) {
		this.heatPlanNoOld = heatPlanNoOld;
	}

	private String plnOnsingleNum = "";
    private String plnOnsingleWt = "";
    public String getPlnOnsingleNum() {
		return plnOnsingleNum;
	}

	public void setPlnOnsingleNum(String plnOnsingleNum) {
		this.plnOnsingleNum = plnOnsingleNum;
	}

	public String getPlnOnsingleWt() {
		return plnOnsingleWt;
	}

	public void setPlnOnsingleWt(String plnOnsingleWt) {
		this.plnOnsingleWt = plnOnsingleWt;
	}

	/**
     * 是否成品成分(0,否，1.是)
     * @return
     */
    private String ifProduct = "";
    public String getIfProduct() {
		return ifProduct;
	}

	public void setIfProduct(String ifProduct) {
		this.ifProduct = ifProduct;
	}

	public String getDecision() {
		return decision;
	}

	public void setDecision(String decision) {
		this.decision = decision;
	}

	/**
     * 产线描述
     */
    private String plineName = "";
    /**
     * 二级工序代码
     */
    private String processCodeC = "";
    /**
     * 二级工序名
     */
    private String processDescC = "";
    /**
     * 上工序代码(大工序)
     */
    private String upperProcessCode = "";
    /**
     * 下工序代码(大工序)
     */
    private String nextProcessCode = "";
    /**
     * 物流去向代码
     */
    private String gowhereCode = "";
    /**
     * 物流去向名称
     */
    private String gowhereName = "";
    /**
     * 生产标准
     */
    private String prodStandard = "";
    /**
     * 输出标准
     */
    private String outputStandard = "";
    /**
     * 是否末工序（末工序时合同成品属性有效）
     */
    private String isendgx = "";
    /**
     * 是否利库
     */
    private String ifMatchOdd = "";
    /**
     * 是否已做正式炉计划(区分虚拟炉计划OR实际炉计划)
     */
    private String ifDoHeatPlan = "";
    /**
     * 主合同来源（销售合同、备料需求、补量需求）
     */
    private String orderSource = "";
    /**
     * 主交货编码PK
     */
    private String ordLnDlyPk = "";
    /**
     * 主合同号
     */
    private String orderNo = "";
    /**
     * 主合同行号
     */
    private String orderSeq = "";
    /**
     * 主交货编码
     */
    private String deliveryNo = "";
    /**
     * 主备料需求号
     */
    private String reqBlId = "";
    /**
     * 国内外
     */
    private String ifExport = "";
    /**
     * 合同紧急度
     */
    private String priority = "";
    /**
     * 紧急度备注
     */
    private String priorityMemo = "";
    /**
     * 排产年月
     */
    private String proMonth = "";
    /**
     * 作业日期（年月日）
     */
    private String proDay = "";
    /**
     * 结转日期（年月）
     */
    private String balYearMonth = "";
    /**
     * 是否监制
     */
    private String ifMonitor = "";
    /**
     * 监制编号
     */
    private String prdcrNo = "";
    /**
     * 本工序监制点
     */
    private String monitorPoint = "";
    /**
     * 监制单位
     */
    private String monitorMent = "";
    /**
     * 监制人
     */
    private String monitorMan = "";
    /**
     * BOM
     */
    private String bom = "";
    /**
     * 主全程途径码
     */
    private String wholeBacklog = "";
    /**
     * 主全程途径描叙
     */
    private String wholeBacklogDesc = "";
    /**
     * 本工序点路径
     */
    private String stationRoad = "";
    /**
     * 成分标准索引号(内控)
     */
    private String cic = "";
    /**
     * 材质标准索引号(内控)
     */
    private String pic = "";
    /**
     * 公差标准索引号(内控)
     */
    private String sic = "";
    /**
     * 探伤索引号(内控)
     */
    private String dic = "";
    /**
     * 水压索引码(内控)
     */
    private String wic = "";
    /**
     * 加工标准索引号(内控)
     */
    private String gic = "";
    /**
     * 工艺文件号
     */
    private String craftFileNo = "";
    /**
     * 工艺序号
     */
    private String craftSeq = "";
    /**
     * 工艺文件责任人
     */
    private String craftFileMan = "";
    /**
     * 二级工艺文件号
     */
    private String secCraftFileNo = "";
    /**
     * 投入物料编码
     */
    private String inwlId = "";
    /**
     * 投入物料描述
     */
    private String inwlDesc = "";
    /**
     * 产出物料编码
     */
    private String outwlId = "";
    /**
     * 产出物料描述
     */
    private String outwlDesc = "";
    /**
     * 钢级(牌号)代码
     */
    private String steelcode = "";
    /**
     * 钢级(牌号)名称
     */
    private String steelname = "";
    /**
     * 钢种代码
     */
    private String gradecode = "";
    /**
     * 钢种名称
     */
    private String gradename = "";
    /**
     * 品名代码
     */
    private String produccode = "";
    /**
     * 品名描述
     */
    private String producname = "";
    /**
     * 扣型代码
     */
    private String modelCode = "";
    /**
     * 扣型描述
     */
    private String modelDesc = "";
    /**
     * 成品外径
     */
    private String outdiameter = "";
    /**
     * 成品壁厚
     */
    private String wallthick = "";
    /**
     * 成品最小长度
     */
    private String lengthmin = "";
    /**
     * 成品最大长度
     */
    private String lengthmax = "";
    /**
     * 原料管外径
     */
    private String outdiameterIn = "";
    /**
     * 原料管壁厚
     */
    private String wallthickIn = "";
    /**
     * 分切数
     */
    private String outnumCut = "";
    /**
     * 原料管长度（前工序转移长度）
     */
    private String lengthIn = "";
    /**
     * 原料管最大长度（前工序转移长度）
     */
    private String lengthmaxIn = "";
    /**
     * 原料管最小长度（前工序转移长度）
     */
    private String lengthminIn = "";
    /**
     * 单倍计划分配支(排产)
     */
    private String plnInsingleNum = "";
    /**
     * 单倍计划分配总重(排产)
     */
    private String plnInsingleWt = "";
    /**
     * 倍尺计划分配支(排产)
     */
    private String plnIndoubleNum = "";
    /**
     * 倍尺计划分配总重(排产)
     */
    private String plnIndoubleWt = "";
    /**
     * 预计产出支数(单倍)
     */
    private String plnOutsingleNum = "";
    /**
     * 预计产出吨(单倍)
     */
    private String plnOutsingleW = "";
    /**
     * 预计产出支数(倍尺)
     */
    private String plnOutdoubleNum = "";
    /**
     * 预计产出吨(倍尺)
     */
    private String plnOutdoubleW = "";
    /**
     * 创建人
     */
    private String createName = "";
    /**
     * 创建时间
     */
    private String createTime = "";
    /**
     * 修改人
     */
    private String updateName = "";
    /**
     * 修改时间
     */
    private String updateTime = "";
    /**
     * 下发人
     */
    private String downman = "";
    /**
     * 下发时间
     */
    private String downtime = "";
    /**
     * 主制程索引号
     */
    private String indexSeq = "";
    /**
     * 产线内炉计划顺序号
     */
    private String gxProSeq = "";
    /**
     * 产品规格代码
     */
    private String specCode = "";
    /**
     * 产品规格描述
     */
    private String specName = "";
    /**
     * 标准代码[最终成品标准]
     */
    private String stdCode = "";
    /**
     * 标准名称
     */
    private String stdName = "";
    /**
     * 标准类别代码
     */
    private String stdStyle = "";
    /**
     * 标准类别描述(PSL1....)
     */
    private String stdStyleDesc = "";
    /**
     * 检验编号
     */
    private String checkNo = "";
    /**
     * 生产批下炉归组LOT_NO_GROUP
     */
    private String  lotNoGroup= "";
    /**
     * 实际热处理次数
     * @return
     */
    private String realProcessSeq = "";
    public String getRealProcessSeq() {
		return realProcessSeq;
	}

	public void setRealProcessSeq(String realProcessSeq) {
		this.realProcessSeq = realProcessSeq;
	}

	public String getLotNoGroup() {
		return lotNoGroup;
	}

	public void setLotNoGroup(String lotNoGroup) {
		this.lotNoGroup = lotNoGroup;
	}

	public String getCheckNo() {
		return checkNo;
	}

	public void setCheckNo(String checkNo) {
		this.checkNo = checkNo;
	}

	/**
     * 炉计划ID
     * @return value
     */
    public String getHeatPlanNo() {
        return heatPlanNo;
    }

    /**
     * 炉计划ID
     * @param heatPlanNo value
     */
    public void setHeatPlanNo(String heatPlanNo) {
        this.heatPlanNo = heatPlanNo;
    }

    /**
     * 生产批号
     * @return value
     */
    public String getZyBatchId() {
        return zyBatchId;
    }

    /**
     * 生产批号
     * @param zyBatchId value
     */
    public void setZyBatchId(String zyBatchId) {
        this.zyBatchId = zyBatchId;
    }

    /**
     * 冶炼炉号(电炉炉号)
     * @return value
     */
    public String getStoveNo() {
        return stoveNo;
    }

    /**
     * 冶炼炉号(电炉炉号)
     * @param stoveNo value
     */
    public void setStoveNo(String stoveNo) {
        this.stoveNo = stoveNo;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 批号
     * @return value
     */
    public String getBatchNo() {
        return batchNo;
    }

    /**
     * 批号
     * @param batchNo value
     */
    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    /**
     * 计划状态（00计划，10下发，20生产中，30生产完成，40关闭A）
     * @return value
     */
    public String getPlanstatus() {
        return planstatus;
    }

    /**
     * 计划状态（00计划，10下发，20生产中，30生产完成，40关闭A）
     * @param planstatus value
     */
    public void setPlanstatus(String planstatus) {
        this.planstatus = planstatus;
    }

    /**
     * 开始状态(00-上料开始,10-探伤开始，20-切管开始，30-车丝开始，40-螺纹检验开始，50拧接开始，60-通径开始,70-水压开始，80-倒凌开始，90-测量点开始，11-交库开始)
     * @return value
     */
    public String getPerStatus() {
        return perStatus;
    }

    /**
     * 开始状态(00-上料开始,10-探伤开始，20-切管开始，30-车丝开始，40-螺纹检验开始，50拧接开始，60-通径开始,70-水压开始，80-倒凌开始，90-测量点开始，11-交库开始)
     * @param perStatus value
     */
    public void setPerStatus(String perStatus) {
        this.perStatus = perStatus;
    }

    /**
     * 结炉状态(00-上料结束,10-探伤结束，20-切管结束，30-车丝结束，40-螺纹检验结束，50拧接结束，60-通径结束,70-水压结束，80-倒凌结束，90-测量点结束，11-交库结束)
     * @return value
     */
    public String getBesideStatus() {
        return besideStatus;
    }

    /**
     * 结炉状态(00-上料结束,10-探伤结束，20-切管结束，30-车丝结束，40-螺纹检验结束，50拧接结束，60-通径结束,70-水压结束，80-倒凌结束，90-测量点结束，11-交库结束)
     * @param besideStatus value
     */
    public void setBesideStatus(String besideStatus) {
        this.besideStatus = besideStatus;
    }

    /**
     * 上工序炉计划ID
     * @return value
     */
    public String getUpperHeatplanId() {
        return upperHeatplanId;
    }

    /**
     * 上工序炉计划ID
     * @param upperHeatplanId value
     */
    public void setUpperHeatplanId(String upperHeatplanId) {
        this.upperHeatplanId = upperHeatplanId;
    }

    /**
     * 加工线订单编号
     * @return value
     */
    public String getProPlanId() {
        return proPlanId;
    }

    /**
     * 加工线订单编号
     * @param proPlanId value
     */
    public void setProPlanId(String proPlanId) {
        this.proPlanId = proPlanId;
    }

    /**
     * 加工线工序排产序号
     * @return value
     */
    public String getGxPlanNo() {
        return gxPlanNo;
    }

    /**
     * 加工线工序排产序号
     * @param gxPlanNo value
     */
    public void setGxPlanNo(String gxPlanNo) {
        this.gxPlanNo = gxPlanNo;
    }

    /**
     * 产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 产线描述
     * @return value
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 产线描述
     * @param plineName value
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    /**
     * 二级工序代码
     * @return value
     */
    public String getProcessCodeC() {
        return processCodeC;
    }

    /**
     * 二级工序代码
     * @param processCodeC value
     */
    public void setProcessCodeC(String processCodeC) {
        this.processCodeC = processCodeC;
    }

    /**
     * 二级工序名
     * @return value
     */
    public String getProcessDescC() {
        return processDescC;
    }

    /**
     * 二级工序名
     * @param processDescC value
     */
    public void setProcessDescC(String processDescC) {
        this.processDescC = processDescC;
    }

    /**
     * 上工序代码(大工序)
     * @return value
     */
    public String getUpperProcessCode() {
        return upperProcessCode;
    }

    /**
     * 上工序代码(大工序)
     * @param upperProcessCode value
     */
    public void setUpperProcessCode(String upperProcessCode) {
        this.upperProcessCode = upperProcessCode;
    }

    /**
     * 下工序代码(大工序)
     * @return value
     */
    public String getNextProcessCode() {
        return nextProcessCode;
    }

    /**
     * 下工序代码(大工序)
     * @param nextProcessCode value
     */
    public void setNextProcessCode(String nextProcessCode) {
        this.nextProcessCode = nextProcessCode;
    }

    /**
     * 物流去向代码
     * @return value
     */
    public String getGowhereCode() {
        return gowhereCode;
    }

    /**
     * 物流去向代码
     * @param gowhereCode value
     */
    public void setGowhereCode(String gowhereCode) {
        this.gowhereCode = gowhereCode;
    }

    /**
     * 物流去向名称
     * @return value
     */
    public String getGowhereName() {
        return gowhereName;
    }

    /**
     * 物流去向名称
     * @param gowhereName value
     */
    public void setGowhereName(String gowhereName) {
        this.gowhereName = gowhereName;
    }

    /**
     * 生产标准
     * @return value
     */
    public String getProdStandard() {
        return prodStandard;
    }

    /**
     * 生产标准
     * @param prodStandard value
     */
    public void setProdStandard(String prodStandard) {
        this.prodStandard = prodStandard;
    }

    /**
     * 输出标准
     * @return value
     */
    public String getOutputStandard() {
        return outputStandard;
    }

    /**
     * 输出标准
     * @param outputStandard value
     */
    public void setOutputStandard(String outputStandard) {
        this.outputStandard = outputStandard;
    }

    /**
     * 是否末工序（末工序时合同成品属性有效）
     * @return value
     */
    public String getIsendgx() {
        return isendgx;
    }

    /**
     * 是否末工序（末工序时合同成品属性有效）
     * @param isendgx value
     */
    public void setIsendgx(String isendgx) {
        this.isendgx = isendgx;
    }

    /**
     * 是否利库
     * @return value
     */
    public String getIfMatchOdd() {
        return ifMatchOdd;
    }

    /**
     * 是否利库
     * @param ifMatchOdd value
     */
    public void setIfMatchOdd(String ifMatchOdd) {
        this.ifMatchOdd = ifMatchOdd;
    }

    /**
     * 是否已做正式炉计划(区分虚拟炉计划OR实际炉计划)
     * @return value
     */
    public String getIfDoHeatPlan() {
        return ifDoHeatPlan;
    }

    /**
     * 是否已做正式炉计划(区分虚拟炉计划OR实际炉计划)
     * @param ifDoHeatPlan value
     */
    public void setIfDoHeatPlan(String ifDoHeatPlan) {
        this.ifDoHeatPlan = ifDoHeatPlan;
    }

    /**
     * 主合同来源（销售合同、备料需求、补量需求）
     * @return value
     */
    public String getOrderSource() {
        return orderSource;
    }

    /**
     * 主合同来源（销售合同、备料需求、补量需求）
     * @param orderSource value
     */
    public void setOrderSource(String orderSource) {
        this.orderSource = orderSource;
    }

    /**
     * 主交货编码PK
     * @return value
     */
    public String getOrdLnDlyPk() {
        return ordLnDlyPk;
    }

    /**
     * 主交货编码PK
     * @param ordLnDlyPk value
     */
    public void setOrdLnDlyPk(String ordLnDlyPk) {
        this.ordLnDlyPk = ordLnDlyPk;
    }

    /**
     * 主合同号
     * @return value
     */
    public String getOrderNo() {
        return orderNo;
    }

    /**
     * 主合同号
     * @param orderNo value
     */
    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    /**
     * 主合同行号
     * @return value
     */
    public String getOrderSeq() {
        return orderSeq;
    }

    /**
     * 主合同行号
     * @param orderSeq value
     */
    public void setOrderSeq(String orderSeq) {
        this.orderSeq = orderSeq;
    }

    /**
     * 主交货编码
     * @return value
     */
    public String getDeliveryNo() {
        return deliveryNo;
    }

    /**
     * 主交货编码
     * @param deliveryNo value
     */
    public void setDeliveryNo(String deliveryNo) {
        this.deliveryNo = deliveryNo;
    }

    /**
     * 主备料需求号
     * @return value
     */
    public String getReqBlId() {
        return reqBlId;
    }

    /**
     * 主备料需求号
     * @param reqBlId value
     */
    public void setReqBlId(String reqBlId) {
        this.reqBlId = reqBlId;
    }

    /**
     * 国内外
     * @return value
     */
    public String getIfExport() {
        return ifExport;
    }

    /**
     * 国内外
     * @param ifExport value
     */
    public void setIfExport(String ifExport) {
        this.ifExport = ifExport;
    }

    /**
     * 合同紧急度
     * @return value
     */
    public String getPriority() {
        return priority;
    }

    /**
     * 合同紧急度
     * @param priority value
     */
    public void setPriority(String priority) {
        this.priority = priority;
    }

    /**
     * 紧急度备注
     * @return value
     */
    public String getPriorityMemo() {
        return priorityMemo;
    }

    /**
     * 紧急度备注
     * @param priorityMemo value
     */
    public void setPriorityMemo(String priorityMemo) {
        this.priorityMemo = priorityMemo;
    }

    /**
     * 排产年月
     * @return value
     */
    public String getProMonth() {
        return proMonth;
    }

    /**
     * 排产年月
     * @param proMonth value
     */
    public void setProMonth(String proMonth) {
        this.proMonth = proMonth;
    }

    /**
     * 作业日期（年月日）
     * @return value
     */
    public String getProDay() {
        return proDay;
    }

    /**
     * 作业日期（年月日）
     * @param proDay value
     */
    public void setProDay(String proDay) {
        this.proDay = proDay;
    }

    /**
     * 结转日期（年月）
     * @return value
     */
    public String getBalYearMonth() {
        return balYearMonth;
    }

    /**
     * 结转日期（年月）
     * @param balYearMonth value
     */
    public void setBalYearMonth(String balYearMonth) {
        this.balYearMonth = balYearMonth;
    }

    /**
     * 是否监制
     * @return value
     */
    public String getIfMonitor() {
        return ifMonitor;
    }

    /**
     * 是否监制
     * @param ifMonitor value
     */
    public void setIfMonitor(String ifMonitor) {
        this.ifMonitor = ifMonitor;
    }

    /**
     * 监制编号
     * @return value
     */
    public String getPrdcrNo() {
        return prdcrNo;
    }

    /**
     * 监制编号
     * @param prdcrNo value
     */
    public void setPrdcrNo(String prdcrNo) {
        this.prdcrNo = prdcrNo;
    }

    /**
     * 本工序监制点
     * @return value
     */
    public String getMonitorPoint() {
        return monitorPoint;
    }

    /**
     * 本工序监制点
     * @param monitorPoint value
     */
    public void setMonitorPoint(String monitorPoint) {
        this.monitorPoint = monitorPoint;
    }

    /**
     * 监制单位
     * @return value
     */
    public String getMonitorMent() {
        return monitorMent;
    }

    /**
     * 监制单位
     * @param monitorMent value
     */
    public void setMonitorMent(String monitorMent) {
        this.monitorMent = monitorMent;
    }

    /**
     * 监制人
     * @return value
     */
    public String getMonitorMan() {
        return monitorMan;
    }

    /**
     * 监制人
     * @param monitorMan value
     */
    public void setMonitorMan(String monitorMan) {
        this.monitorMan = monitorMan;
    }

    /**
     * BOM
     * @return value
     */
    public String getBom() {
        return bom;
    }

    /**
     * BOM
     * @param bom value
     */
    public void setBom(String bom) {
        this.bom = bom;
    }

    /**
     * 主全程途径码
     * @return value
     */
    public String getWholeBacklog() {
        return wholeBacklog;
    }

    /**
     * 主全程途径码
     * @param wholeBacklog value
     */
    public void setWholeBacklog(String wholeBacklog) {
        this.wholeBacklog = wholeBacklog;
    }

    /**
     * 主全程途径描叙
     * @return value
     */
    public String getWholeBacklogDesc() {
        return wholeBacklogDesc;
    }

    /**
     * 主全程途径描叙
     * @param wholeBacklogDesc value
     */
    public void setWholeBacklogDesc(String wholeBacklogDesc) {
        this.wholeBacklogDesc = wholeBacklogDesc;
    }

    /**
     * 本工序点路径
     * @return value
     */
    public String getStationRoad() {
        return stationRoad;
    }

    /**
     * 本工序点路径
     * @param stationRoad value
     */
    public void setStationRoad(String stationRoad) {
        this.stationRoad = stationRoad;
    }

    /**
     * 成分标准索引号(内控)
     * @return value
     */
    public String getCic() {
        return cic;
    }

    /**
     * 成分标准索引号(内控)
     * @param cic value
     */
    public void setCic(String cic) {
        this.cic = cic;
    }

    /**
     * 材质标准索引号(内控)
     * @return value
     */
    public String getPic() {
        return pic;
    }

    /**
     * 材质标准索引号(内控)
     * @param pic value
     */
    public void setPic(String pic) {
        this.pic = pic;
    }

    /**
     * 公差标准索引号(内控)
     * @return value
     */
    public String getSic() {
        return sic;
    }

    /**
     * 公差标准索引号(内控)
     * @param sic value
     */
    public void setSic(String sic) {
        this.sic = sic;
    }

    /**
     * 探伤索引号(内控)
     * @return value
     */
    public String getDic() {
        return dic;
    }

    /**
     * 探伤索引号(内控)
     * @param dic value
     */
    public void setDic(String dic) {
        this.dic = dic;
    }

    /**
     * 水压索引码(内控)
     * @return value
     */
    public String getWic() {
        return wic;
    }

    /**
     * 水压索引码(内控)
     * @param wic value
     */
    public void setWic(String wic) {
        this.wic = wic;
    }

    /**
     * 加工标准索引号(内控)
     * @return value
     */
    public String getGic() {
        return gic;
    }

    /**
     * 加工标准索引号(内控)
     * @param gic value
     */
    public void setGic(String gic) {
        this.gic = gic;
    }

    /**
     * 工艺文件号
     * @return value
     */
    public String getCraftFileNo() {
        return craftFileNo;
    }

    /**
     * 工艺文件号
     * @param craftFileNo value
     */
    public void setCraftFileNo(String craftFileNo) {
        this.craftFileNo = craftFileNo;
    }

    /**
     * 工艺序号
     * @return value
     */
    public String getCraftSeq() {
        return craftSeq;
    }

    /**
     * 工艺序号
     * @param craftSeq value
     */
    public void setCraftSeq(String craftSeq) {
        this.craftSeq = craftSeq;
    }

    /**
     * 工艺文件责任人
     * @return value
     */
    public String getCraftFileMan() {
        return craftFileMan;
    }

    /**
     * 工艺文件责任人
     * @param craftFileMan value
     */
    public void setCraftFileMan(String craftFileMan) {
        this.craftFileMan = craftFileMan;
    }

    /**
     * 二级工艺文件号
     * @return value
     */
    public String getSecCraftFileNo() {
        return secCraftFileNo;
    }

    /**
     * 二级工艺文件号
     * @param secCraftFileNo value
     */
    public void setSecCraftFileNo(String secCraftFileNo) {
        this.secCraftFileNo = secCraftFileNo;
    }

    /**
     * 投入物料编码
     * @return value
     */
    public String getInwlId() {
        return inwlId;
    }

    /**
     * 投入物料编码
     * @param inwlId value
     */
    public void setInwlId(String inwlId) {
        this.inwlId = inwlId;
    }

    /**
     * 投入物料描述
     * @return value
     */
    public String getInwlDesc() {
        return inwlDesc;
    }

    /**
     * 投入物料描述
     * @param inwlDesc value
     */
    public void setInwlDesc(String inwlDesc) {
        this.inwlDesc = inwlDesc;
    }

    /**
     * 产出物料编码
     * @return value
     */
    public String getOutwlId() {
        return outwlId;
    }

    /**
     * 产出物料编码
     * @param outwlId value
     */
    public void setOutwlId(String outwlId) {
        this.outwlId = outwlId;
    }

    /**
     * 产出物料描述
     * @return value
     */
    public String getOutwlDesc() {
        return outwlDesc;
    }

    /**
     * 产出物料描述
     * @param outwlDesc value
     */
    public void setOutwlDesc(String outwlDesc) {
        this.outwlDesc = outwlDesc;
    }

    /**
     * 钢级(牌号)代码
     * @return value
     */
    public String getSteelcode() {
        return steelcode;
    }

    /**
     * 钢级(牌号)代码
     * @param steelcode value
     */
    public void setSteelcode(String steelcode) {
        this.steelcode = steelcode;
    }

    /**
     * 钢级(牌号)名称
     * @return value
     */
    public String getSteelname() {
        return steelname;
    }

    /**
     * 钢级(牌号)名称
     * @param steelname value
     */
    public void setSteelname(String steelname) {
        this.steelname = steelname;
    }

    /**
     * 钢种代码
     * @return value
     */
    public String getGradecode() {
        return gradecode;
    }

    /**
     * 钢种代码
     * @param gradecode value
     */
    public void setGradecode(String gradecode) {
        this.gradecode = gradecode;
    }

    /**
     * 钢种名称
     * @return value
     */
    public String getGradename() {
        return gradename;
    }

    /**
     * 钢种名称
     * @param gradename value
     */
    public void setGradename(String gradename) {
        this.gradename = gradename;
    }

    /**
     * 品名代码
     * @return value
     */
    public String getProduccode() {
        return produccode;
    }

    /**
     * 品名代码
     * @param produccode value
     */
    public void setProduccode(String produccode) {
        this.produccode = produccode;
    }

    /**
     * 品名描述
     * @return value
     */
    public String getProducname() {
        return producname;
    }

    /**
     * 品名描述
     * @param producname value
     */
    public void setProducname(String producname) {
        this.producname = producname;
    }

    /**
     * 扣型代码
     * @return value
     */
    public String getModelCode() {
        return modelCode;
    }

    /**
     * 扣型代码
     * @param modelCode value
     */
    public void setModelCode(String modelCode) {
        this.modelCode = modelCode;
    }

    /**
     * 扣型描述
     * @return value
     */
    public String getModelDesc() {
        return modelDesc;
    }

    /**
     * 扣型描述
     * @param modelDesc value
     */
    public void setModelDesc(String modelDesc) {
        this.modelDesc = modelDesc;
    }

    /**
     * 成品外径
     * @return value
     */
    public String getOutdiameter() {
        return outdiameter;
    }

    /**
     * 成品外径
     * @param outdiameter value
     */
    public void setOutdiameter(String outdiameter) {
        this.outdiameter = outdiameter;
    }

    /**
     * 成品壁厚
     * @return value
     */
    public String getWallthick() {
        return wallthick;
    }

    /**
     * 成品壁厚
     * @param wallthick value
     */
    public void setWallthick(String wallthick) {
        this.wallthick = wallthick;
    }

    /**
     * 成品最小长度
     * @return value
     */
    public String getLengthmin() {
        return lengthmin;
    }

    /**
     * 成品最小长度
     * @param lengthmin value
     */
    public void setLengthmin(String lengthmin) {
        this.lengthmin = lengthmin;
    }

    /**
     * 成品最大长度
     * @return value
     */
    public String getLengthmax() {
        return lengthmax;
    }

    /**
     * 成品最大长度
     * @param lengthmax value
     */
    public void setLengthmax(String lengthmax) {
        this.lengthmax = lengthmax;
    }

    /**
     * 原料管外径
     * @return value
     */
    public String getOutdiameterIn() {
        return outdiameterIn;
    }

    /**
     * 原料管外径
     * @param outdiameterIn value
     */
    public void setOutdiameterIn(String outdiameterIn) {
        this.outdiameterIn = outdiameterIn;
    }

    /**
     * 原料管壁厚
     * @return value
     */
    public String getWallthickIn() {
        return wallthickIn;
    }

    /**
     * 原料管壁厚
     * @param wallthickIn value
     */
    public void setWallthickIn(String wallthickIn) {
        this.wallthickIn = wallthickIn;
    }

    /**
     * 分切数
     * @return value
     */
    public String getOutnumCut() {
        return outnumCut;
    }

    /**
     * 分切数
     * @param outnumCut value
     */
    public void setOutnumCut(String outnumCut) {
        this.outnumCut = outnumCut;
    }

    /**
     * 原料管长度（前工序转移长度）
     * @return value
     */
    public String getLengthIn() {
        return lengthIn;
    }

    /**
     * 原料管长度（前工序转移长度）
     * @param lengthIn value
     */
    public void setLengthIn(String lengthIn) {
        this.lengthIn = lengthIn;
    }

    /**
     * 原料管最大长度（前工序转移长度）
     * @return value
     */
    public String getLengthmaxIn() {
        return lengthmaxIn;
    }

    /**
     * 原料管最大长度（前工序转移长度）
     * @param lengthmaxIn value
     */
    public void setLengthmaxIn(String lengthmaxIn) {
        this.lengthmaxIn = lengthmaxIn;
    }

    /**
     * 原料管最小长度（前工序转移长度）
     * @return value
     */
    public String getLengthminIn() {
        return lengthminIn;
    }

    /**
     * 原料管最小长度（前工序转移长度）
     * @param lengthminIn value
     */
    public void setLengthminIn(String lengthminIn) {
        this.lengthminIn = lengthminIn;
    }

    /**
     * 单倍计划分配支(排产)
     * @return value
     */
    public String getPlnInsingleNum() {
        return plnInsingleNum;
    }

    /**
     * 单倍计划分配支(排产)
     * @param plnInsingleNum value
     */
    public void setPlnInsingleNum(String plnInsingleNum) {
        this.plnInsingleNum = plnInsingleNum;
    }

    /**
     * 单倍计划分配总重(排产)
     * @return value
     */
    public String getPlnInsingleWt() {
        return plnInsingleWt;
    }

    /**
     * 单倍计划分配总重(排产)
     * @param plnInsingleWt value
     */
    public void setPlnInsingleWt(String plnInsingleWt) {
        this.plnInsingleWt = plnInsingleWt;
    }

    /**
     * 倍尺计划分配支(排产)
     * @return value
     */
    public String getPlnIndoubleNum() {
        return plnIndoubleNum;
    }

    /**
     * 倍尺计划分配支(排产)
     * @param plnIndoubleNum value
     */
    public void setPlnIndoubleNum(String plnIndoubleNum) {
        this.plnIndoubleNum = plnIndoubleNum;
    }

    /**
     * 倍尺计划分配总重(排产)
     * @return value
     */
    public String getPlnIndoubleWt() {
        return plnIndoubleWt;
    }

    /**
     * 倍尺计划分配总重(排产)
     * @param plnIndoubleWt value
     */
    public void setPlnIndoubleWt(String plnIndoubleWt) {
        this.plnIndoubleWt = plnIndoubleWt;
    }

    /**
     * 预计产出支数(单倍)
     * @return value
     */
    public String getPlnOutsingleNum() {
        return plnOutsingleNum;
    }

    /**
     * 预计产出支数(单倍)
     * @param plnOutsingleNum value
     */
    public void setPlnOutsingleNum(String plnOutsingleNum) {
        this.plnOutsingleNum = plnOutsingleNum;
    }

    /**
     * 预计产出吨(单倍)
     * @return value
     */
    public String getPlnOutsingleW() {
        return plnOutsingleW;
    }

    /**
     * 预计产出吨(单倍)
     * @param plnOutsingleW value
     */
    public void setPlnOutsingleW(String plnOutsingleW) {
        this.plnOutsingleW = plnOutsingleW;
    }

    /**
     * 预计产出支数(倍尺)
     * @return value
     */
    public String getPlnOutdoubleNum() {
        return plnOutdoubleNum;
    }

    /**
     * 预计产出支数(倍尺)
     * @param plnOutdoubleNum value
     */
    public void setPlnOutdoubleNum(String plnOutdoubleNum) {
        this.plnOutdoubleNum = plnOutdoubleNum;
    }

    /**
     * 预计产出吨(倍尺)
     * @return value
     */
    public String getPlnOutdoubleW() {
        return plnOutdoubleW;
    }

    /**
     * 预计产出吨(倍尺)
     * @param plnOutdoubleW value
     */
    public void setPlnOutdoubleW(String plnOutdoubleW) {
        this.plnOutdoubleW = plnOutdoubleW;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 下发人
     * @return value
     */
    public String getDownman() {
        return downman;
    }

    /**
     * 下发人
     * @param downman value
     */
    public void setDownman(String downman) {
        this.downman = downman;
    }

    /**
     * 下发时间
     * @return value
     */
    public String getDowntime() {
        return downtime;
    }

    /**
     * 下发时间
     * @param downtime value
     */
    public void setDowntime(String downtime) {
        this.downtime = downtime;
    }

    /**
     * 主制程索引号
     * @return value
     */
    public String getIndexSeq() {
        return indexSeq;
    }

    /**
     * 主制程索引号
     * @param indexSeq value
     */
    public void setIndexSeq(String indexSeq) {
        this.indexSeq = indexSeq;
    }

    /**
     * 产线内炉计划顺序号
     * @return value
     */
    public String getGxProSeq() {
        return gxProSeq;
    }

    /**
     * 产线内炉计划顺序号
     * @param gxProSeq value
     */
    public void setGxProSeq(String gxProSeq) {
        this.gxProSeq = gxProSeq;
    }

    /**
     * 产品规格代码
     * @return value
     */
    public String getSpecCode() {
        return specCode;
    }

    /**
     * 产品规格代码
     * @param specCode value
     */
    public void setSpecCode(String specCode) {
        this.specCode = specCode;
    }

    /**
     * 产品规格描述
     * @return value
     */
    public String getSpecName() {
        return specName;
    }

    /**
     * 产品规格描述
     * @param specName value
     */
    public void setSpecName(String specName) {
        this.specName = specName;
    }

    /**
     * 标准代码[最终成品标准]
     * @return value
     */
    public String getStdCode() {
        return stdCode;
    }

    /**
     * 标准代码[最终成品标准]
     * @param stdCode value
     */
    public void setStdCode(String stdCode) {
        this.stdCode = stdCode;
    }

    /**
     * 标准名称
     * @return value
     */
    public String getStdName() {
        return stdName;
    }

    /**
     * 标准名称
     * @param stdName value
     */
    public void setStdName(String stdName) {
        this.stdName = stdName;
    }

    /**
     * 标准类别代码
     * @return value
     */
    public String getStdStyle() {
        return stdStyle;
    }

    /**
     * 标准类别代码
     * @param stdStyle value
     */
    public void setStdStyle(String stdStyle) {
        this.stdStyle = stdStyle;
    }

    /**
     * 标准类别描述(PSL1....)
     * @return value
     */
    public String getStdStyleDesc() {
        return stdStyleDesc;
    }

    /**
     * 标准类别描述(PSL1....)
     * @param stdStyleDesc value
     */
    public void setStdStyleDesc(String stdStyleDesc) {
        this.stdStyleDesc = stdStyleDesc;
    }
}
